WordPress.org

Plugin Directory

WP e-Customers Beta

WP e-Customers Alpha/Beta (test only)

Sorry no screenshots yet, waiting for the best features to be added first.

Requires: 3.5.0 or higher
Compatible up to: 3.6.0
Last Updated: 2014-11-16
Active Installs: Less than 10

Ratings

0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.